Index: c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision c8abef68b932c0c0f756891ee0e641fcb1d111ca)
+++ c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision 761feae995c80450bb29ec3090cb1e74aa0aa3ac)
@@ -1,2 +1,7 @@
+2000-09-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* console/Makefile.am, network/Makefile.am, startup/Makefile.am,
+	wrapup/Makefile.am: Include compile.am
+
 2000-08-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/Makefile.am	(revision c8abef68b932c0c0f756891ee0e641fcb1d111ca)
+++ c/src/lib/libbsp/powerpc/mbx8xx/Makefile.am	(revision 761feae995c80450bb29ec3090cb1e74aa0aa3ac)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
Index: c/src/lib/libbsp/powerpc/mbx8xx/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/console/Makefile.am	(revision c8abef68b932c0c0f756891ee0e641fcb1d111ca)
+++ c/src/lib/libbsp/powerpc/mbx8xx/console/Makefile.am	(revision 761feae995c80450bb29ec3090cb1e74aa0aa3ac)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
@@ -13,4 +13,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/compile.am
 include $(top_srcdir)/../../../../../../automake/lib.am
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/include/Makefile.am	(revision c8abef68b932c0c0f756891ee0e641fcb1d111ca)
+++ c/src/lib/libbsp/powerpc/mbx8xx/include/Makefile.am	(revision 761feae995c80450bb29ec3090cb1e74aa0aa3ac)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
Index: c/src/lib/libbsp/powerpc/mbx8xx/network/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/network/Makefile.am	(revision c8abef68b932c0c0f756891ee0e641fcb1d111ca)
+++ c/src/lib/libbsp/powerpc/mbx8xx/network/Makefile.am	(revision 761feae995c80450bb29ec3090cb1e74aa0aa3ac)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
@@ -13,4 +13,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/compile.am
 include $(top_srcdir)/../../../../../../automake/lib.am
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/startup/Makefile.am	(revision c8abef68b932c0c0f756891ee0e641fcb1d111ca)
+++ c/src/lib/libbsp/powerpc/mbx8xx/startup/Makefile.am	(revision 761feae995c80450bb29ec3090cb1e74aa0aa3ac)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
@@ -9,6 +9,6 @@
 PGM = $(ARCH)/startup.rel
 
-C_FILES = bspclean.c bsplibc.c bsppost.c bspstart.c bootcard.c imbx8xx.c main.c \
-    mmutlbtab.c sbrk.c setvec.c gnatinstallhandler.c
+C_FILES = bspclean.c bsplibc.c bsppost.c bspstart.c bootcard.c imbx8xx.c \
+    main.c mmutlbtab.c sbrk.c setvec.c gnatinstallhandler.c
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
@@ -19,4 +19,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/compile.am
 include $(top_srcdir)/../../../../../../automake/lib.am
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/wrapup/Makefile.am	(revision c8abef68b932c0c0f756891ee0e641fcb1d111ca)
+++ c/src/lib/libbsp/powerpc/mbx8xx/wrapup/Makefile.am	(revision 761feae995c80450bb29ec3090cb1e74aa0aa3ac)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
@@ -13,14 +13,15 @@
 # pieces to pick up out of libcpu/ppc
 # CPU_PIECES = mpc8xx/clock mpc8xx/console-generic mpc8xx/cpm \
-              mpc8xx/mmu mpc8xx/timer mpc8xx/vectors
+#              mpc8xx/mmu mpc8xx/timer mpc8xx/vectors
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
- $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
- $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel) \
- $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc8xx/*/$(ARCH)/*.o)
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
+    $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc8xx/*/$(ARCH)/*.o)
 LIB = $(ARCH)/libbsp.a
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/compile.am
 include $(top_srcdir)/../../../../../../automake/lib.am
 