Index: c/src/lib/libcpu/powerpc/ChangeLog
===================================================================
--- c/src/lib/libcpu/powerpc/ChangeLog	(revision 623ffdb1555b66935ef4b0624ec7953134fd2f26)
+++ c/src/lib/libcpu/powerpc/ChangeLog	(revision 772f2243e287c13c7a846523e93252df7b5d2604)
@@ -1,2 +1,11 @@
+2000-10-20	Joel Sherrill <joel@OARcorp.com>
+
+	* mpc8xx/console-generic/console-generic.c: Avoid use of
+	BSP definitions and rely on the new routine
+	mbx8xx_console_get_configuration() to get information.  This
+	routine was formerly incorrectly called
+	mbx8xx_console_use_maximum_buffer_size().
+	binding to the exception code.
+
 2000-10-20	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libcpu/powerpc/mpc8xx/console-generic/console-generic.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/console-generic/console-generic.c	(revision 623ffdb1555b66935ef4b0624ec7953134fd2f26)
+++ c/src/lib/libcpu/powerpc/mpc8xx/console-generic/console-generic.c	(revision 772f2243e287c13c7a846523e93252df7b5d2604)
@@ -58,5 +58,5 @@
 
 /* BSP supplied routine */
-extern int mbx8xx_console_use_maximum_buffer_size(void);
+extern int mbx8xx_console_get_configuration();
 
 #ifdef EPPCBUG_SMC1
@@ -706,5 +706,5 @@
   sccparms->rfcr = M8xx_RFCR_MOT | M8xx_RFCR_DMA_SPACE(0);
   sccparms->tfcr = M8xx_TFCR_MOT | M8xx_TFCR_DMA_SPACE(0);
-  if ( mbx8xx_console_use_maximum_buffer_size() )
+  if ( (mbx8xx_console_get_configuration() & 0x06) == 0x02 )
     sccparms->mrblr = RXBUFSIZE;    /* Maximum Rx buffer size */
   else
@@ -775,6 +775,5 @@
 #endif
   }
-#if NVRAM_CONFIGURE == 1
-  if ( (nvram->console_mode & 0x06) == 0x02 ) {
+  if ( (mbx8xx_console_get_configuration() & 0x06) == 0x02 ) {
     switch (minor) {
       case SCC2_MINOR:
@@ -808,41 +807,4 @@
     }
   }
-  
-#else /* NVRAM_CONFIGURE != 1 */
-
-#if UARTS_IO_MODE == 1
-  switch (minor) {
-    case SCC2_MINOR:
-      rtems_interrupt_catch (m8xx_scc2_interrupt_handler,
-                             PPC_IRQ_CPM_SCC2,
-                             &old_handler[minor]);
-
-      sccregs->sccm = 3;            /* Enable SCC2 Rx & Tx interrupts */
-      m8xx.cimr |= 1UL <<  29;      /* Enable SCC2 interrupts */
-      break;
-
-#ifdef mpc860
-    case SCC3_MINOR:
-      rtems_interrupt_catch (m8xx_scc3_interrupt_handler,
-                             PPC_IRQ_CPM_SCC3,
-                             &old_handler[minor]);
-
-      sccregs->sccm = 3;            /* Enable SCC2 Rx & Tx interrupts */
-      m8xx.cimr |= 1UL <<  28;      /* Enable SCC2 interrupts */
-      break;
-      
-    case SCC4_MINOR:
-      rtems_interrupt_catch (m8xx_scc4_interrupt_handler,
-                             PPC_IRQ_CPM_SCC4,
-                             &old_handler[minor]);
-
-      sccregs->sccm = 3;            /* Enable SCC2 Rx & Tx interrupts */
-      m8xx.cimr |= 1UL <<  27;      /* Enable SCC2 interrupts */
-      break;
-#endif /* mpc860 */
-  }
-#endif /* UARTS_IO_MODE */
-
-#endif /* NVRAM_CONFIGURE */
 }
 
@@ -913,16 +875,8 @@
   smcparms->rfcr = M8xx_RFCR_MOT | M8xx_RFCR_DMA_SPACE(0);
   smcparms->tfcr = M8xx_TFCR_MOT | M8xx_TFCR_DMA_SPACE(0);
-#if NVRAM_CONFIGURE == 1
-  if ( (nvram->console_mode & 0x06) == 0x02 )
+  if ( (mbx8xx_console_get_configuration() & 0x06) == 0x02 )
     smcparms->mrblr = RXBUFSIZE;    /* Maximum Rx buffer size */
   else
     smcparms->mrblr = 1;            /* Maximum Rx buffer size */
-#else
-#if UARTS_IO_MODE == 1
-  smcparms->mrblr = RXBUFSIZE;      /* Maximum Rx buffer size */
-#else
-  smcparms->mrblr = 1;              /* Maximum Rx buffer size */
-#endif
-#endif
 
   /*
@@ -969,6 +923,5 @@
    */
   smcregs->smcmr |= M8xx_SMCMR_TEN | M8xx_SMCMR_REN;
-#if NVRAM_CONFIGURE == 1
-  if ( (nvram->console_mode & 0x06) == 0x02 ) {
+  if ( (mbx8xx_console_get_configuration() & 0x06) == 0x02 ) {
     switch (minor) {
       case SMC1_MINOR:
@@ -991,28 +944,4 @@
     }
   }
-#else
-#if UARTS_IO_MODE == 1
-  switch (minor) {
-    case SMC1_MINOR:
-      rtems_interrupt_catch (m8xx_smc1_interrupt_handler,
-                                  PPC_IRQ_CPM_SMC1,
-                                  &old_handler[minor]);
-
-      smcregs->smcm = 3;            /* Enable SMC1 Rx & Tx interrupts */
-      m8xx.cimr |= 1UL <<  4;       /* Enable SMC1 interrupts */
-      break;
-      
-    case SMC2_MINOR:
-      rtems_interrupt_catch (m8xx_smc2_interrupt_handler,
-                                  PPC_IRQ_CPM_SMC2,
-                                  &old_handler[minor]);
-
-      smcregs->smcm = 3;            /* Enable SMC2 Rx & Tx interrupts */
-      m8xx.cimr |= 1UL <<  3;       /* Enable SMC2 interrupts */
-      break;
-  }
-#endif
-
-#endif
 }
 