Index: contrib/crossrpms/rtems4.10/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/avr/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/avr/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/bfin/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/h8300/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/i386/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/i386/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/m32c/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/m32c/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/m32r/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/m32r/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/m68k/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/mips/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/mips/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/powerpc/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/sh/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/sh/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.10/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/Makefile.am	(revision 2c792a7b34548f739e3509e320498a85f0e10aae)
+++ contrib/crossrpms/rtems4.10/sparc/Makefile.am	(revision 782c4544b31e905ef3f0f6b2afbd29b956d754c2)
@@ -13,5 +13,5 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 8%{?dist}
+GCC_RPMREL = 9%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am