Index: c/src/ada-tests/sptests/sp09/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp09/sptest.adb	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
+++ c/src/ada-tests/sptests/sp09/sptest.adb	(revision 783fbcec352fe9be6ed71e927d28a8583f7db863)
@@ -2783,5 +2783,5 @@
       TEXT_IO.NEW_LINE;
 
-      RTEMS.CLOCK.GET( RTEMS.CLOCK.GET_TOD, TIME'ADDRESS, STATUS );
+      RTEMS.CLOCK.GET_TOD( TIME, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "CLOCK_GET SUCCESSFUL" );
       TEST_SUPPORT.PRINT_TIME( "TA1 - clock_get       - ", TIME, "" );
@@ -2907,5 +2907,5 @@
       TEXT_IO.NEW_LINE;
 
-      RTEMS.CLOCK.GET( RTEMS.CLOCK.GET_TOD, TIME'ADDRESS, STATUS );
+      RTEMS.CLOCK.GET_TOD( TIME, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "clock_set" );
       TEST_SUPPORT.PRINT_TIME( "TA1 - clock_get       - ", TIME, "" );
Index: c/src/ada-tests/sptests/sp20/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp20/sptest.adb	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
+++ c/src/ada-tests/sptests/sp20/sptest.adb	(revision 783fbcec352fe9be6ed71e927d28a8583f7db863)
@@ -242,6 +242,5 @@
 
                -- timestamp
-               RTEMS.CLOCK.GET_TICKS_SINCE_BOOT( Time( INDEX ), STATUS );
-               TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "clock_get of TA6" );
+               Time( INDEX ) := RTEMS.CLOCK.GET_TICKS_SINCE_BOOT;
             end loop;
 
Index: c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.adb
===================================================================
--- c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.adb	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
+++ c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.adb	(revision 783fbcec352fe9be6ed71e927d28a8583f7db863)
@@ -191,5 +191,5 @@
 
    procedure CLOCK_GET_TOD (
-      TIME_BUFFER :    out RTEMS.ADDRESS;
+      TIME_BUFFER :    out RTEMS.TIME_OF_DAY;
       RESULT      :    out RTEMS.STATUS_CODES
    ) is
Index: c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.ads
===================================================================
--- c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.ads	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
+++ c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.ads	(revision 783fbcec352fe9be6ed71e927d28a8583f7db863)
@@ -110,5 +110,5 @@
 
    procedure CLOCK_GET_TOD (
-      TIME_BUFFER :    out RTEMS.ADDRESS;
+      TIME_BUFFER :    out RTEMS.TIME_OF_DAY;
       RESULT      :    out RTEMS.STATUS_CODES
    );
Index: c/src/ada-tests/tmtests/tmoverhd/tmtest.adb
===================================================================
--- c/src/ada-tests/tmtests/tmoverhd/tmtest.adb	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
+++ c/src/ada-tests/tmtests/tmoverhd/tmtest.adb	(revision 783fbcec352fe9be6ed71e927d28a8583f7db863)
@@ -24,5 +24,4 @@
 with TIME_TEST_SUPPORT;
 with TIMER_DRIVER;
-with RTEMS.CLOCK;
 
 package body TMTEST is
Index: c/src/ada/rtems-clock.adb
===================================================================
--- c/src/ada/rtems-clock.adb	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
+++ c/src/ada/rtems-clock.adb	(revision 783fbcec352fe9be6ed71e927d28a8583f7db863)
@@ -123,3 +123,18 @@
    end Tick;
 
+   function Get_Ticks_Since_Boot
+      return RTEMS.Interval
+   is
+      Watchdog_Ticks_since_boot : RTEMS.Interval;
+      pragma Import (
+         C,
+         Watchdog_Ticks_since_boot,
+         "_Watchdog_Ticks_since_boot"
+      );
+   begin
+
+      return Watchdog_Ticks_since_boot;
+
+   end Get_Ticks_Since_Boot;
+
 end RTEMS.Clock;
Index: c/src/ada/rtems-clock.ads
===================================================================
--- c/src/ada/rtems-clock.ads	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
+++ c/src/ada/rtems-clock.ads	(revision 783fbcec352fe9be6ed71e927d28a8583f7db863)
@@ -67,9 +67,4 @@
    function Get_Ticks_Since_Boot
    return RTEMS.Interval;
-   pragma Import (
-      C,
-      Get_Ticks_Since_Boot,
-      "rtems_clock_get_ticks_since_boot"
-   );
 
    procedure Get_Uptime (