Index: testsuites/libtests/Makefile.am
===================================================================
--- testsuites/libtests/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 ACLOCAL_AMFLAGS = -I ../aclocal
 
Index: testsuites/libtests/block01/Makefile.am
===================================================================
--- testsuites/libtests/block01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block01
 block01_SOURCES = init.c
Index: testsuites/libtests/block02/Makefile.am
===================================================================
--- testsuites/libtests/block02/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block02/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block02
 block02_SOURCES = init.c
Index: testsuites/libtests/block03/Makefile.am
===================================================================
--- testsuites/libtests/block03/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block03/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block03
 block03_SOURCES = init.c
Index: testsuites/libtests/block04/Makefile.am
===================================================================
--- testsuites/libtests/block04/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block04/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block04
 block04_SOURCES = init.c
Index: testsuites/libtests/block05/Makefile.am
===================================================================
--- testsuites/libtests/block05/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block05/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block05
 block05_SOURCES = init.c
Index: testsuites/libtests/block06/Makefile.am
===================================================================
--- testsuites/libtests/block06/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block06/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block06
 block06_SOURCES = init.c
Index: testsuites/libtests/block07/Makefile.am
===================================================================
--- testsuites/libtests/block07/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block07/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block07
 block07_SOURCES = init.c
Index: testsuites/libtests/block08/Makefile.am
===================================================================
--- testsuites/libtests/block08/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block08/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -6,5 +6,4 @@
 ## found in the file LICENSE in this distribution or at
 ## http://www.rtems.com/license/LICENSE.
-## $Id$
 ##
 
Index: testsuites/libtests/block09/Makefile.am
===================================================================
--- testsuites/libtests/block09/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block09/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block09
 block09_SOURCES = init.c
Index: testsuites/libtests/block10/Makefile.am
===================================================================
--- testsuites/libtests/block10/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block10/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block10
 block10_SOURCES = init.c
Index: testsuites/libtests/block11/Makefile.am
===================================================================
--- testsuites/libtests/block11/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/block11/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = block11
 block11_SOURCES = init.c
Index: testsuites/libtests/bspcmdline01/Makefile.am
===================================================================
--- testsuites/libtests/bspcmdline01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/bspcmdline01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = bspcmdline01
 bspcmdline01_SOURCES = init.c
Index: testsuites/libtests/complex/Makefile.am
===================================================================
--- testsuites/libtests/complex/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/complex/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-##  $Id$
-##
-
 if HAS_COMPLEX
 rtems_tests_PROGRAMS = complex
Index: testsuites/libtests/configure.ac
===================================================================
--- testsuites/libtests/configure.ac	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/configure.ac	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-## 
-## $Id$
 
 AC_PREREQ([2.68])
Index: testsuites/libtests/cpuuse/Makefile.am
===================================================================
--- testsuites/libtests/cpuuse/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/cpuuse/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = cpuuse
 cpuuse_SOURCES = init.c task1.c task2.c task3.c tswitch.c system.h
Index: testsuites/libtests/devfs01/Makefile.am
===================================================================
--- testsuites/libtests/devfs01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/devfs01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = devfs01
 devfs01_SOURCES = init.c
Index: testsuites/libtests/devfs02/Makefile.am
===================================================================
--- testsuites/libtests/devfs02/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/devfs02/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 rtems_tests_PROGRAMS = devfs02
 devfs02_SOURCES = init.c
Index: testsuites/libtests/devfs03/Makefile.am
===================================================================
--- testsuites/libtests/devfs03/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/devfs03/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 rtems_tests_PROGRAMS = devfs03
 devfs03_SOURCES = init.c
Index: testsuites/libtests/devfs04/Makefile.am
===================================================================
--- testsuites/libtests/devfs04/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/devfs04/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 rtems_tests_PROGRAMS = devfs04
 devfs04_SOURCES = init.c test_driver.c
Index: testsuites/libtests/deviceio01/Makefile.am
===================================================================
--- testsuites/libtests/deviceio01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/deviceio01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 rtems_tests_PROGRAMS = deviceio01
 deviceio01_SOURCES = init.c test_driver.c
Index: testsuites/libtests/devnullfatal01/Makefile.am
===================================================================
--- testsuites/libtests/devnullfatal01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/devnullfatal01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = devnullfatal01
 devnullfatal01_SOURCES = ../../sptests/spfatal_support/init.c \
Index: testsuites/libtests/dumpbuf01/Makefile.am
===================================================================
--- testsuites/libtests/dumpbuf01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/dumpbuf01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = dumpbuf01
 dumpbuf01_SOURCES = init.c
Index: testsuites/libtests/ftp01/Makefile.am
===================================================================
--- testsuites/libtests/ftp01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/ftp01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = ftp01
 ftp01_SOURCES = init.c
Index: testsuites/libtests/gxx01/Makefile.am
===================================================================
--- testsuites/libtests/gxx01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/gxx01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = gxx01
 gxx01_SOURCES = init.c
Index: testsuites/libtests/heapwalk/Makefile.am
===================================================================
--- testsuites/libtests/heapwalk/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/heapwalk/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = heapwalk
 heapwalk_SOURCES = init.c system.h
Index: testsuites/libtests/malloc02/Makefile.am
===================================================================
--- testsuites/libtests/malloc02/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/malloc02/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = malloc02
 malloc02_SOURCES = init.c
Index: testsuites/libtests/malloc03/Makefile.am
===================================================================
--- testsuites/libtests/malloc03/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/malloc03/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = malloc03
 malloc03_SOURCES = init.c
Index: testsuites/libtests/malloc04/Makefile.am
===================================================================
--- testsuites/libtests/malloc04/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/malloc04/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = malloc04
 malloc04_SOURCES = init.c
Index: testsuites/libtests/malloc05/Makefile.am
===================================================================
--- testsuites/libtests/malloc05/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/malloc05/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = malloc05
 malloc05_SOURCES = init.c
Index: testsuites/libtests/malloctest/Makefile.am
===================================================================
--- testsuites/libtests/malloctest/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/malloctest/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = malloctest
 malloctest_SOURCES = init.c task1.c system.h
Index: testsuites/libtests/math/Makefile.am
===================================================================
--- testsuites/libtests/math/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/math/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-##  $Id$
-##
-
 rtems_tests_PROGRAMS = math
 math_SOURCES = init.c domath.c
Index: testsuites/libtests/mathf/Makefile.am
===================================================================
--- testsuites/libtests/mathf/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/mathf/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-##  $Id$
-##
-
 rtems_tests_PROGRAMS = mathf
 mathf_SOURCES = init.c domathf.c
Index: testsuites/libtests/mathl/Makefile.am
===================================================================
--- testsuites/libtests/mathl/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/mathl/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-##  $Id$
-##
-
 rtems_tests_PROGRAMS = mathl
 mathl_SOURCES = init.c domathl.c
Index: testsuites/libtests/monitor/Makefile.am
===================================================================
--- testsuites/libtests/monitor/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/monitor/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = monitor
 monitor_SOURCES = init.c system.h
Index: testsuites/libtests/monitor02/Makefile.am
===================================================================
--- testsuites/libtests/monitor02/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/monitor02/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = monitor02
 monitor02_SOURCES = init.c system.h
Index: testsuites/libtests/mouse01/Makefile.am
===================================================================
--- testsuites/libtests/mouse01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/mouse01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = mouse01
 mouse01_SOURCES = init.c serial_mouse_config.c msmouse.c\
Index: testsuites/libtests/putenvtest/Makefile.am
===================================================================
--- testsuites/libtests/putenvtest/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/putenvtest/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = putenvtest
 putenvtest_SOURCES = init.c
Index: testsuites/libtests/rtems++/Makefile.am
===================================================================
--- testsuites/libtests/rtems++/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/rtems++/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 if HAS_CXX
 rtems_tests_PROGRAMS = rtems++
Index: testsuites/libtests/rtmonuse/Makefile.am
===================================================================
--- testsuites/libtests/rtmonuse/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/rtmonuse/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = rtmonuse
 rtmonuse_SOURCES = init.c getall.c task1.c system.h
Index: testsuites/libtests/stackchk/Makefile.am
===================================================================
--- testsuites/libtests/stackchk/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/stackchk/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = stackchk
 stackchk_SOURCES = blow.c init.c task1.c system.h
Index: testsuites/libtests/stackchk01/Makefile.am
===================================================================
--- testsuites/libtests/stackchk01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/stackchk01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = stackchk01
 stackchk01_SOURCES = init.c
Index: testsuites/libtests/stringto01/Makefile.am
===================================================================
--- testsuites/libtests/stringto01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/stringto01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = stringto01
 stringto01_SOURCES = init.c
Index: testsuites/libtests/tar01/Makefile.am
===================================================================
--- testsuites/libtests/tar01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/tar01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 if TARTESTS
 rtems_tests_PROGRAMS = tar01
Index: testsuites/libtests/tar02/Makefile.am
===================================================================
--- testsuites/libtests/tar02/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/tar02/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 if TARTESTS
 rtems_tests_PROGRAMS = tar02
Index: testsuites/libtests/tar03/Makefile.am
===================================================================
--- testsuites/libtests/tar03/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/tar03/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 rtems_tests_PROGRAMS = tar03
 tar03_SOURCES = init.c
Index: testsuites/libtests/termios/Makefile.am
===================================================================
--- testsuites/libtests/termios/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios
 termios_SOURCES = init.c
Index: testsuites/libtests/termios01/Makefile.am
===================================================================
--- testsuites/libtests/termios01/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios01/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios01
 termios01_SOURCES = init.c termios_testdriver.c
Index: testsuites/libtests/termios02/Makefile.am
===================================================================
--- testsuites/libtests/termios02/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios02/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios02
 termios02_SOURCES = init.c
Index: testsuites/libtests/termios03/Makefile.am
===================================================================
--- testsuites/libtests/termios03/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios03/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios03
 termios03_SOURCES = init.c termios_testdriver_polled.c
Index: testsuites/libtests/termios04/Makefile.am
===================================================================
--- testsuites/libtests/termios04/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios04/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios04
 termios04_SOURCES = init.c termios_testdriver_intr.c
Index: testsuites/libtests/termios05/Makefile.am
===================================================================
--- testsuites/libtests/termios05/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios05/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios05
 termios05_SOURCES = init.c ../termios04/termios_testdriver_intr.c
Index: testsuites/libtests/termios06/Makefile.am
===================================================================
--- testsuites/libtests/termios06/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios06/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios06
 termios06_SOURCES = init.c ../termios03/termios_testdriver_polled.c test_pppd.c
Index: testsuites/libtests/termios07/Makefile.am
===================================================================
--- testsuites/libtests/termios07/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios07/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios07
 termios07_SOURCES = init.c ../termios04/termios_testdriver_intr.c
Index: testsuites/libtests/termios08/Makefile.am
===================================================================
--- testsuites/libtests/termios08/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/termios08/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = termios08
 termios08_SOURCES = init.c ../termios03/termios_testdriver_polled.c
Index: testsuites/libtests/tztest/Makefile.am
===================================================================
--- testsuites/libtests/tztest/Makefile.am	(revision 6a5e19cc5625b4b6854e628acc7d42eba387ec1e)
+++ testsuites/libtests/tztest/Makefile.am	(revision 820d82ed8afca857be5031fc45893db7cf26ac4f)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = tztest
 tztest_SOURCES = init.c