Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision 20b80be64b161ec887e36b6178e2ed1c5c08677a)
+++ c/src/ChangeLog	(revision 832bed1b800cdcbd73f3c0f617b0c14583a8f44f)
@@ -1,2 +1,14 @@
+2004-02-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* librdbg/src/i386/Makefile.am, librdbg/src/m68k/Makefile.am,
+	librdbg/src/powerpc/Makefile.am:
+	Remove.
+	* librdbg/src/Makefile.am: Merge-in librdbg/src/i386/Makefile.am, 
+	librdbg/src/m68k/Makefile.am, librdbg/src/powerpc/Makefile.am.
+	* configure.ac: Reflect changes above.
+
+2004-02-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+
 2004-02-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/configure.ac
===================================================================
--- c/src/configure.ac	(revision 20b80be64b161ec887e36b6178e2ed1c5c08677a)
+++ c/src/configure.ac	(revision 832bed1b800cdcbd73f3c0f617b0c14583a8f44f)
@@ -155,5 +155,5 @@
 BSP_SUBDIRS="$BSP_SUBDIRS libnetworking"
 BSP_SUBDIRS="$BSP_SUBDIRS librdbg"
-                                                         
+
 AS_IF([test "$RTEMS_HAS_CPLUSPLUS" = "yes"],[
   AC_CONFIG_SUBDIRS([librtems++])
@@ -196,5 +196,14 @@
 
 AM_CONDITIONAL([HAS_NETWORKING],[test "$HAS_NETWORKING" = "yes"])
+
+# FIXME: This is sick
 AM_CONDITIONAL([HAS_RDBG],[test "$HAS_RDBG" = "yes"])
+AM_CONDITIONAL([HAS_RDBG_i386],[test "$HAS_RDBG" = "yes" \
+ && test $RTEMS_CPU = "i386"])
+AM_CONDITIONAL([HAS_RDBG_m68k],[test "$HAS_RDBG" = "yes" \
+ && test $RTEMS_CPU = "m68k"])
+AM_CONDITIONAL([HAS_RDBG_powerpc],[test "$HAS_RDBG" = "yes" \
+ && test $RTEMS_CPU = "powerpc"])
+
 AM_CONDITIONAL(HAS_POSIX,test "$HAS_POSIX_API" = "yes")
 
@@ -243,7 +252,4 @@
 librdbg/include/Makefile
 librdbg/src/Makefile
-librdbg/src/i386/Makefile
-librdbg/src/powerpc/Makefile
-librdbg/src/m68k/Makefile
 
 libchip/Makefile
Index: c/src/librdbg/src/Makefile.am
===================================================================
--- c/src/librdbg/src/Makefile.am	(revision 20b80be64b161ec887e36b6178e2ed1c5c08677a)
+++ c/src/librdbg/src/Makefile.am	(revision 832bed1b800cdcbd73f3c0f617b0c14583a8f44f)
@@ -3,12 +3,219 @@
 ##
 
-if HAS_RDBG
-SUBDIRS = $(RTEMS_CPU)
-DIST_SUBDIRS = $(RTEMS_CPU)
-endif
-
-EXTRA_DIST = _servtgt.c awk.svc excep.c ptrace.c rdbg.c remdeb.x servbkpt.c \
-    servcon.c servrpc.c servtgt.c servtsp.c servutil.c
-
-include $(top_srcdir)/automake/subdirs.am
+include $(top_srcdir)/automake/compile.am
+
+CLEANFILES =
+BUILT_SOURCES =
+
+if HAS_RDBG
+include_rdbgdir = $(includedir)/rdbg
+
+EXTRA_LIBRARIES = librdbg.a
+CLEANFILES += librdbg.a
+librdbg_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+
+EXTRA_LIBRARIES += librdbg_g.a
+CLEANFILES += librdbg_g.a
+librdbg_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+librdbg_g_a_SOURCES = $(librdbg_a_SOURCES)
+
+project_lib_DATA = librdbg$(LIB_VARIANT).a
+
+librdbg_a_SOURCES = rdbg.c servcon.c servbkpt.c servrpc.c excep.c servtgt.c \
+    servtsp.c servutil.c _servtgt.c ptrace.c
+endif
+
+X_FILES = remdeb.x
+EXTRA_DIST = remdeb.x
+
+if HAS_RDBG
+if HAS_RDBG_powerpc
+librdbg_a_SOURCES += powerpc/excep_f.c powerpc/rdbg_f.c \
+    powerpc/rdbg_cpu_asm.S
+
+# Generated sources
+librdbg_a_SOURCES += powerpc/new_exception_processing/remdeb_xdr.c
+librdbg_a_SOURCES += powerpc/new_exception_processing/remdeb_svc.c
+librdbg_a_SOURCES += powerpc/new_exception_processing/remdeb.h
+MAINTAINERCLEANFILES = powerpc/new_exception_processing/remdeb_xdr.c
+MAINTAINERCLEANFILES += powerpc/new_exception_processing/remdeb_svc.c
+MAINTAINERCLEANFILES += powerpc/new_exception_processing/remdeb.h
+
+include_rdbg_HEADERS = powerpc/new_exception_processing/remdeb.h
+endif
+endif
+
+# X source names
+EXTRA_DIST += powerpc/new_exception_processing/remdeb_f.x
+BUILT_SOURCES += powerpc/new_exception_processing/remdeb.h \
+powerpc/new_exception_processing/remdeb_xdr.c \
+powerpc/new_exception_processing/remdeb_svc.c
+
+if RPCTOOLS
+powerpc/new_exception_processing/remdeb.h: $(X_FILES) \
+    powerpc/new_exception_processing/remdeb_f.x
+	@rm -f $@
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -h -DFRONTEND=\"powerpc/new_exception_processing/remdeb_f.x\" \
+	  -o powerpc/new_exception_processing/remdeb.h remdeb.x )
+
+powerpc/new_exception_processing/remdeb_xdr.c: $(X_FILES) \
+   powerpc/new_exception_processing/remdeb_f.x
+	@rm -f $@
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -c -DFRONTEND=\"powerpc/new_exception_processing/remdeb_f.x\" \
+	  -o powerpc/new_exception_processing/remdeb_xdr.c remdeb.x )
+
+powerpc/new_exception_processing/remdeb_svc.c: $(X_FILES) \
+   powerpc/new_exception_processing/remdeb_f.x
+	@rm -f $@ tmpSvc.c
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -m -DFRONTEND=\"powerpc/new_exception_processing/remdeb_f.x\" \
+	  -o powerpc/new_exception_processing/tmpSvc.c remdeb.x; \
+	$(AWK) -f ./awk.svc THEPROG="remdeb.h" powerpc/new_exception_processing/tmpSvc.c \
+	  > powerpc/new_exception_processing/remdeb_svc.c; \
+	sed -e 's/fprintf.*,/printf(/'  powerpc/new_exception_processing/remdeb_svc.c > powerpc/new_exception_processing/remdeb_svc.tmp; \
+	mv powerpc/new_exception_processing/remdeb_svc.tmp powerpc/new_exception_processing/remdeb_svc.c; \
+	rm -f powerpc/new_exception_processing/tmpSvc.c )
+endif
+
+if HAS_RDBG
+if HAS_RDBG_i386
+librdbg_a_SOURCES += i386/excep_f.c i386/rdbg_f.c i386/rdbg_cpu_asm.S
+
+# Generated sources
+librdbg_a_SOURCES += i386/any/remdeb_xdr.c
+librdbg_a_SOURCES += i386/any/remdeb_svc.c
+librdbg_a_SOURCES += i386/any/remdeb.h
+MAINTAINERCLEANFILES = i386/any/remdeb_xdr.c
+MAINTAINERCLEANFILES += i386/any/remdeb_svc.c
+MAINTAINERCLEANFILES += i386/any/remdeb.h
+
+include_rdbg_HEADERS = i386/any/remdeb.h
+endif
+endif
+
+# X source names
+EXTRA_DIST += i386/any/remdeb_f.x
+BUILT_SOURCES += i386/any/remdeb.h i386/any/remdeb_xdr.c i386/any/remdeb_svc.c
+
+if RPCTOOLS
+i386/any/remdeb.h: $(X_FILES) i386/any/remdeb_f.x
+	@rm -f $@
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -h -DFRONTEND=\"i386/any/remdeb_f.x\" \
+	  -o i386/any/remdeb.h remdeb.x )
+
+i386/any/remdeb_xdr.c: $(X_FILES) i386/any/remdeb_f.x
+	@rm -f $@
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -c -DFRONTEND=\"i386/any/remdeb_f.x\" \
+	  -o i386/any/remdeb_xdr.c remdeb.x )
+
+i386/any/remdeb_svc.c: $(X_FILES) i386/any/remdeb_f.x
+	@rm -f $@ tmpSvc.c
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -m -DFRONTEND=\"i386/any/remdeb_f.x\" \
+	  -o i386/any/tmpSvc.c remdeb.x; \
+	$(AWK) -f ./awk.svc THEPROG="remdeb.h" i386/any/tmpSvc.c \
+	  > i386/any/remdeb_svc.c; \
+	sed -e 's/fprintf.*,/printf(/'  i386/any/remdeb_svc.c > i386/any/remdeb_svc.tmp; \
+	mv i386/any/remdeb_svc.tmp i386/any/remdeb_svc.c; \
+	rm -f i386/any/tmpSvc.c )
+endif
+
+if HAS_RDBG
+if HAS_RDBG_m68k
+librdbg_a_SOURCES += m68k/excep_f.c m68k/rdbg_f.c m68k/rdbg_cpu_asm.S
+
+# Generated sources
+librdbg_a_SOURCES += m68k/any/remdeb_xdr.c
+librdbg_a_SOURCES += m68k/any/remdeb_svc.c
+librdbg_a_SOURCES += m68k/any/remdeb.h
+MAINTAINERCLEANFILES = m68k/any/remdeb_xdr.c
+MAINTAINERCLEANFILES += m68k/any/remdeb_svc.c
+MAINTAINERCLEANFILES += m68k/any/remdeb.h
+
+include_rdbg_HEADERS = m68k/any/remdeb.h
+endif
+endif
+
+# X source names
+EXTRA_DIST += m68k/any/remdeb_f.x
+BUILT_SOURCES += m68k/any/remdeb.h m68k/any/remdeb_xdr.c m68k/any/remdeb_svc.c
+if RPCTOOLS
+m68k/any/remdeb.h: $(X_FILES) m68k/any/remdeb_f.x
+	@rm -f $@
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -h -DFRONTEND=\"m68k/any/remdeb_f.x\" \
+	  -o m68k/any/remdeb.h remdeb.x )
+m68k/any/remdeb_xdr.c: $(X_FILES) m68k/any/remdeb_f.x
+	@rm -f $@
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -c -DFRONTEND=\"m68k/any/remdeb_f.x\" \
+	  -o m68k/any/remdeb_xdr.c remdeb.x )
+m68k/any/remdeb_svc.c: $(X_FILES) m68k/any/remdeb_f.x
+	@rm -f $@ tmpSvc.c
+	( cd $(top_srcdir)/librdbg/src; \
+	$(RPCGEN) -m -DFRONTEND=\"m68k/any/remdeb_f.x\" \
+	  -o m68k/any/tmpSvc.c remdeb.x; \
+	$(AWK) -f ./awk.svc THEPROG="remdeb.h" m68k/any/tmpSvc.c \
+	  > m68k/any/remdeb_svc.c; \
+	sed -e 's/fprintf.*,/printf(/'  m68k/any/remdeb_svc.c > m68k/any/remdeb_svc.tmp; \
+	mv m68k/any/remdeb_svc.tmp m68k/any/remdeb_svc.c; \
+	rm -f m68k/any/tmpSvc.c )
+endif
+
+EXTRA_DIST += awk.svc
+
+all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+PREINSTALL_FILES =
+TMPINSTALL_FILES =
+
+$(PROJECT_LIB)/$(dirstamp):
+	@$(mkdir_p) $(PROJECT_LIB)
+	@: > $(PROJECT_LIB)/$(dirstamp)
+TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
+
+if HAS_RDBG
+$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
+	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
+	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+
+$(PROJECT_LIB)/librdbg$(LIB_VARIANT).a: librdbg$(LIB_VARIANT).a $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a
+TMPINSTALL_FILES += $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a
+endif
+
+if HAS_RDBG
+if HAS_RDBG_powerpc
+$(PROJECT_INCLUDE)/rdbg/remdeb.h: powerpc/new_exception_processing/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/remdeb.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
+endif
+endif
+
+if HAS_RDBG
+if HAS_RDBG_i386
+$(PROJECT_INCLUDE)/rdbg/remdeb.h: i386/any/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/remdeb.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
+endif
+endif
+
+if HAS_RDBG
+if HAS_RDBG_m68k
+$(PROJECT_INCLUDE)/rdbg/remdeb.h: m68k/any/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/remdeb.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
+endif
+endif
+
+CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
+CLEANFILES += $(TMPINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: src/librdbg/src/i386/Makefile.am
===================================================================
--- c/src/librdbg/src/i386/Makefile.am	(revision 20b80be64b161ec887e36b6178e2ed1c5c08677a)
+++ 	(revision )
@@ -1,103 +1,0 @@
-##
-## $Id$
-##
-
-RPCCPUDIR = $(RTEMS_CPU)/any
-
-EXTRA_LIBRARIES = librdbg.a
-CLEANFILES = librdbg.a
-librdbg_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
-
-EXTRA_LIBRARIES += librdbg_g.a
-CLEANFILES += librdbg_g.a
-librdbg_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-librdbg_g_a_SOURCES = $(librdbg_a_SOURCES)
-
-project_lib_DATA = librdbg$(LIB_VARIANT).a
-
-librdbg_a_SOURCES = excep_f.c rdbg_f.c
-
-librdbg_a_SOURCES += ../rdbg.c ../servcon.c ../servbkpt.c ../servrpc.c \
-    ../excep.c ../servtgt.c ../servtsp.c ../servutil.c ../_servtgt.c \
-    ../ptrace.c
-
-# Asm source names
-librdbg_a_SOURCES += rdbg_cpu_asm.S
-
-# Generated C source names
-librdbg_a_SOURCES += any/remdeb_xdr.c any/remdeb_svc.c
-
-# H source names
-H_FILES = any/remdeb.h
-
-# X source names
-X_FILES = ../remdeb.x any/remdeb_f.x
-
-MAINTAINERCLEANFILES = $(H_FILES) $(GEN_C_FILES)
-
-include $(top_srcdir)/automake/compile.am
-
-FRONTEND = \"$(RPCCPUDIR)/remdeb_f.x\"
-
-$(srcdir)/any/remdeb.h: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -h -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/remdeb.h remdeb.x )
-endif
-$(srcdir)/any/remdeb_xdr.c: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -c -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/remdeb_xdr.c remdeb.x )
-endif
-
-$(srcdir)/any/remdeb_svc.c: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@ tmpSvc.c
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -m -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/tmpSvc.c remdeb.x; \
-	$(AWK) -f ./awk.svc THEPROG="remdeb.h" $(RPCCPUDIR)/tmpSvc.c \
-	  > $(RPCCPUDIR)/remdeb_svc.c; \
-	sed -e 's/fprintf.*,/printf(/'  $(RPCCPUDIR)/remdeb_svc.c > $(RPCCPUDIR)/remdeb_svc.tmp; \
-	mv $(RPCCPUDIR)/remdeb_svc.tmp $(RPCCPUDIR)/remdeb_svc.c; \
-	rm -f $(RPCCPUDIR)/tmpSvc.c )
-endif
-
-include_rdbgdir = $(includedir)/rdbg
-include_rdbg_HEADERS = $(srcdir)/any/remdeb.h
-
-all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
-
-EXTRA_DIST = remdeb_f.x $(GEN_C_FILES)
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-TMPINSTALL_FILES =
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
-
-$(PROJECT_LIB)/librdbg$(LIB_VARIANT).a: librdbg$(LIB_VARIANT).a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a
-TMPINSTALL_FILES += $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a
-
-$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
-	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-
-$(PROJECT_INCLUDE)/rdbg/remdeb.h: $(srcdir)/any/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/remdeb.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
-
-CLEANFILES += $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-CLEANFILES += $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/automake/local.am
Index: src/librdbg/src/m68k/Makefile.am
===================================================================
--- c/src/librdbg/src/m68k/Makefile.am	(revision 20b80be64b161ec887e36b6178e2ed1c5c08677a)
+++ 	(revision )
@@ -1,103 +1,0 @@
-##
-## $Id$
-##
-
-RPCCPUDIR = $(RTEMS_CPU)/any
-
-EXTRA_LIBRARIES = librdbg.a
-CLEANFILES = librdbg.a
-librdbg_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
-
-EXTRA_LIBRARIES += librdbg_g.a
-CLEANFILES += librdbg_g.a
-librdbg_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-librdbg_g_a_SOURCES = $(librdbg_a_SOURCES)
-
-project_lib_DATA = librdbg$(LIB_VARIANT).a
-
-librdbg_a_SOURCES = excep_f.c rdbg_f.c
-
-librdbg_a_SOURCES += ../rdbg.c ../servcon.c ../servbkpt.c ../servrpc.c \
-    ../excep.c ../servtgt.c ../servtsp.c ../servutil.c ../_servtgt.c \
-    ../ptrace.c
-
-# Asm source names
-librdbg_a_SOURCES += rdbg_cpu_asm.S
-
-# Generated C source names
-librdbg_a_SOURCES += any/remdeb_xdr.c any/remdeb_svc.c
-
-# H source names
-H_FILES = any/remdeb.h
-
-# X source names
-X_FILES = ../remdeb.x any/remdeb_f.x
-
-MAINTAINERCLEANFILES = $(H_FILES) $(GEN_C_FILES)
-
-include $(top_srcdir)/automake/compile.am
-
-FRONTEND = \"$(RPCCPUDIR)/remdeb_f.x\"
-
-$(srcdir)/any/remdeb.h: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -h -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/remdeb.h remdeb.x )
-endif
-$(srcdir)/any/remdeb_xdr.c: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -c -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/remdeb_xdr.c remdeb.x )
-endif
-
-$(srcdir)/any/remdeb_svc.c: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@ tmpSvc.c
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -m -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/tmpSvc.c remdeb.x; \
-	$(AWK) -f ./awk.svc THEPROG="remdeb.h" $(RPCCPUDIR)/tmpSvc.c \
-	  > $(RPCCPUDIR)/remdeb_svc.c; \
-	sed -e 's/fprintf.*,/printf(/'  $(RPCCPUDIR)/remdeb_svc.c > $(RPCCPUDIR)/remdeb_svc.tmp; \
-	mv $(RPCCPUDIR)/remdeb_svc.tmp $(RPCCPUDIR)/remdeb_svc.c; \
-	rm -f $(RPCCPUDIR)/tmpSvc.c )
-endif
-
-include_rdbgdir = $(includedir)/rdbg
-include_rdbg_HEADERS = $(srcdir)/any/remdeb.h
-
-all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
-
-EXTRA_DIST = remdeb_f.x $(GEN_C_FILES)
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-TMPINSTALL_FILES =
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
-
-$(PROJECT_LIB)/librdbg$(LIB_VARIANT).a: librdbg$(LIB_VARIANT).a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a
-TMPINSTALL_FILES += $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a
-
-$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
-	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-
-$(PROJECT_INCLUDE)/rdbg/remdeb.h: $(srcdir)/any/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/remdeb.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
-
-CLEANFILES += $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-CLEANFILES += $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/automake/local.am
Index: src/librdbg/src/powerpc/Makefile.am
===================================================================
--- c/src/librdbg/src/powerpc/Makefile.am	(revision 20b80be64b161ec887e36b6178e2ed1c5c08677a)
+++ 	(revision )
@@ -1,104 +1,0 @@
-##
-## $Id$
-##
-
-RPCCPUDIR = $(RTEMS_CPU)/new_exception_processing
-
-EXTRA_LIBRARIES = librdbg.a
-CLEANFILES = librdbg.a
-librdbg_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
-
-EXTRA_LIBRARIES += librdbg_g.a
-CLEANFILES += librdbg_g.a
-librdbg_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-librdbg_g_a_SOURCES = $(librdbg_a_SOURCES)
-
-project_lib_DATA = librdbg$(LIB_VARIANT).a
-
-librdbg_a_SOURCES = excep_f.c rdbg_f.c
-
-librdbg_a_SOURCES += ../rdbg.c ../servcon.c ../servbkpt.c ../servrpc.c \
-    ../excep.c ../servtgt.c ../servtsp.c ../servutil.c ../_servtgt.c \
-    ../ptrace.c
-
-# Asm source names
-librdbg_a_SOURCES += rdbg_cpu_asm.S
-
-# Generated C source names
-librdbg_a_SOURCES += new_exception_processing/remdeb_xdr.c \
-    new_exception_processing/remdeb_svc.c
-
-# H source names
-H_FILES = new_exception_processing/remdeb.h
-
-# X source names
-X_FILES = ../remdeb.x new_exception_processing/remdeb_f.x
-
-MAINTAINERCLEANFILES = $(H_FILES) $(GEN_C_FILES)
-
-include $(top_srcdir)/automake/compile.am
-
-FRONTEND = \"$(RPCCPUDIR)/remdeb_f.x\"
-
-$(srcdir)/new_exception_processing/remdeb.h: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -h -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/remdeb.h remdeb.x )
-endif
-$(srcdir)/new_exception_processing/remdeb_xdr.c: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -c -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/remdeb_xdr.c remdeb.x )
-endif
-
-$(srcdir)/new_exception_processing/remdeb_svc.c: $(X_FILES)
-if RPCTOOLS
-	@rm -f $@ tmpSvc.c
-	( cd $(top_srcdir)/librdbg/src; \
-	$(RPCGEN) -m -DFRONTEND=$(FRONTEND) \
-	  -o $(RPCCPUDIR)/tmpSvc.c remdeb.x; \
-	$(AWK) -f ./awk.svc THEPROG="remdeb.h" $(RPCCPUDIR)/tmpSvc.c \
-	  > $(RPCCPUDIR)/remdeb_svc.c; \
-	sed -e 's/fprintf.*,/printf(/'  $(RPCCPUDIR)/remdeb_svc.c > $(RPCCPUDIR)/remdeb_svc.tmp; \
-	mv $(RPCCPUDIR)/remdeb_svc.tmp $(RPCCPUDIR)/remdeb_svc.c; \
-	rm -f $(RPCCPUDIR)/tmpSvc.c )
-endif
-
-include_rdbgdir = $(includedir)/rdbg
-include_rdbg_HEADERS = $(srcdir)/new_exception_processing/remdeb.h
-
-all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
-
-EXTRA_DIST = remdeb_f.x $(GEN_C_FILES)
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-TMPINSTALL_FILES =
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
-
-$(PROJECT_LIB)/librdbg$(LIB_VARIANT).a: librdbg$(LIB_VARIANT).a $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a
-TMPINSTALL_FILES += $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a
-
-$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
-	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-
-$(PROJECT_INCLUDE)/rdbg/remdeb.h: $(srcdir)/new_exception_processing/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/remdeb.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
-
-CLEANFILES += $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-CLEANFILES += $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/automake/local.am